#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=cmake -Bbuild

CONFIG_ARGS := -DWITH_AUTOMATIC_UPDATE=0

# QT5 on arm uses GLES, which conflicts with the use of regular OpenGL.
ifeq (arm,$(shell dpkg-architecture -q DEB_HOST_ARCH_CPU))
	CONFIG_ARGS += -DQt5Widgets_FOUND=off
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIG_ARGS)

override_dh_strip:
	dh_strip --dbgsym-migration='openclonk-dbg (<< 8.0-1~)'

override_dh_builddeb:
	dh_builddeb
